Segment 5 Intelligente Analyseverfahren (IAV), SWE 5.1 Ganglinienprognose
=========================================================================

## Übersicht

Die Ganglinienprognose liefert für einen Zeitbereich in der Zukunft eine
Prognose der Verkehrswerte. Für alle Messquerschnitte werden die Verkehrswerte
QPkw, QLkw, QKfz, QB, VPkw, VLkw und VKfz prognostiziert. Je nach
Prognosehorizont werden dabei unterschiedliche Verfahren eingesetzt und deren
Ergebnisse zusammengefasst.

Als Ergebnis liefert das Verfahren für jede zu prognostizierende Größe eine
Ganglinie mit Prognosewerten im gewünschten Zeitbereich. Die Ergebnisganglinien
entstehen durch Verknüpfung aktueller Verkehrsdaten und kurzfristigen
Prognosedaten mit verschiedenen historischen Ganglinien, die durch
unterschiedliche Auswahlverfahren bestimmt werden.

Die Ganglinienprognose kann von unterschiedlichen Systemfunktionen mit
unterschiedlichen Parametern aufgerufen werden. Die Berechnung der
Prognoseganglinien erfolgt je nach aufrufender Systemfunktion einmalig oder
zyklisch für einen vorgegebenen Prognosezeitbereich.

## Start der Applikation

Es wird eine Batchdatei mitgeliefert, die als Vorlage für ein Startskript dienen
kann. Im ersten Abschnitt muss der Skriptparameter -classpath angepasst werden.
-classpath muss auf die folgenden benötigten Bibliotheken verweisen:

 - kernsoftware-bibliothek.jar
 - de.bsvrz.sys.funclib.jar
 - de.bsvrz.iav.gllib.jar
 - de.bsvrz.iav.glprog.jar


## Offene Punkte

- Ohne Kalender können keine Anfragen bearbeitet werden, siehe Hinweise.


## Hinweise

- Die aktuelle Version nimmt Anfragen entgegen, arbeitet sie aber nicht ab, da
  ohne Kalender keine geeigneten Ganglinien bestimmt werden können. Stattdessen
  wird eine Meldung für das Log und die Betriebsmeldungsverwaltung generiert,
  dass der Kalender nicht verfügbar ist und die Anfrage wird verworfen.


## Disclaimer

Segment 5 Intelligente Analyseverfahren (IAV), SWE 5.1 Ganglinienprognose

Copyright (C) 2007 BitCtrl Systems GmbH 

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


## Kontakt

BitCtrl Systems GmbH<br>
Weißenfelser Straße 67<br>
04229 Leipzig<br>
Phone: +49 341-490670<br>
mailto: info@bitctrl.de<br>
