#!/bin/bash

# In das Verzeichnis des Skripts wechseln, damit relative Pfade funktionieren
cd `dirname $0`


################################################################################
# Folgende Parameter mssen berprft und evtl. angepasst werden.              #
################################################################################

# (1) Allgemeine Einstellungen laden.
source ../../skripte-bash/einstellungen.sh

# (2) Parameter fr den Java-Interpreter, als Standard werden die Einstellungen
# aus einstellungen.sh verwendet. Kann verwendet werden, wenn (1) nicht
# funktioniert.
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
# aus einstellungen.sh verwendet. Kann verwendet werden, wenn (1) nicht
# funtkioniert.
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=.."


################################################################################
# Ab hier muss nichts mehr angepasst werden                                    #
################################################################################

# Applikation starten
java $jvmArgs -jar de.bsvrz.iav.glprog-runtime.jar \
	$dav1 \
	-debugLevelFileText=all \
	-debugLevelStdErrText=off \
	-debugSetLoggerAndLevel=:warning \
	-debugSetLoggerAndLevel=de.bsvrz.iav:config \
	&
